Redeem Promotion Code

View as Markdown

Redeem a promotion code (increment redemption count).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
codestringRequired
The promotion code to redeem
customer_idstring or nullOptional

Customer applying the code (for validation)

order_amountdouble or nullOptional>=0
Order amount for minimum validation
order_currencyenum or nullOptional
Order currency

Response

Successful Response
idstring
coupon_idstring
codestring
activeboolean
max_redemptionsinteger or null
times_redeemedinteger
expires_atdatetime or null
restrictionsmap from strings to any or null
metadatamap from strings to any or null
created_atdatetime
updated_atdatetime

Errors

422
Unprocessable Entity Error